EM FHSegment

From FreeCAD Documentation
This page is a translated version of the page EM FHSegment and the translation is 38% complete.
Outdated translations are marked like this.
Other languages:

EM FHSegment

Posizione nel menu
EM → FHSegment
Ambiente
EM (add-on)
Avvio veloce
E S
Introdotto nella versione
0.17
Vedere anche
EM FHNode, EM FHPath

Descrizione

The FHSegment tool inserts a FastHenry segment object.

FastHenry FHSegment

Utilizzo

The FHSegment object can be based on the position of a Draft Line object, or on two existing FHNodes that will be the FHSegment end points, or you can select the 3D location of the two end points, where two additional FHNodes will be created.

  1. Press the EM FHSegment button, or press E then S keys.
  2. Click a first point on the 3D view, or type coordinates and press the add point button.
  3. Click a second point on the 3D view, or type coordinates and press the add point button.

In alternativa, si può anche:

  1. Select two FHNode objects
  2. Press the EM FHSegment button, or press E then S keys.

Oppure:

  1. Select one or multiple Draft Line object(s)
  2. Press the EM FHSegment button, or press E then S keys. As many FHSegment objects will be created as the Draft Line objects.

Note:

  • If you create a FHSegment object based on a Draft Line object, you can NOT freely move the FHSegment or the end point FHNodes. The FHSegment will always be constrained to the base object. To change the position of the FHSegment, or of its end point, apply the change to the underlying Draft Line object (the base object is hidden by default, you can show it again by selecting the object in the tree and pressing Space.
  • If the FHSegment object has no base object baseobj, its position is controlled by the starting and ending FHNodes. You cannot change a FHSegment position by changing its Placement.

Opzioni

  • To enter coordinates manually, simply enter the numbers, then press Enter between each X, Y and Z component. You can press the add point button when you have the desired values to insert the point.
  • Press Esc or the Close button to abort the current command.

Proprietà

  • DatiBase: The base object this component is built upon (a Draft Line)
  • DatiNodeStart: the starting FHNode
  • DatiNodeEnd: the ending FHNode
  • DatiWidth: the FHSegment width ('w' segment parameter in FastHenry)
  • DatiHeight: the FHSegment height ('h' segment parameter in FastHenry)
  • DatiSigma: the FHSegment conductivity ('sigma' segment parameter in FastHenry)
  • Datiww: the FHSegment cross-section direction along the width ('wx', 'wy', 'wz' segment parameter in FastHenry)
  • Datinhinc: the Number of filaments in the height direction ('nhinc' segment parameter in FastHenry)
  • Datinwinc: the Number of filaments in the width direction ('nwinc' segment parameter in FastHenry)
  • Datirh: the ratio of adjacent filaments in the height direction ('rh' segment parameter in FastHenry)
  • Datirw: the ratio of adjacent filaments in the width direction ('rw' segment parameter in FastHenry)

Script

See also: FreeCAD Scripting Basics.

The FHSegment object can be used in macros and from the Python console by using the following function:

segment = makeFHSegment(baseobj=None, nodeStart=None, nodeEnd=None, width=None, height=None, name='FHSegment')
  • Creates a FHSegment object.
  • baseobj is the Draft Line object that can be used as base for the FHSegment. If nodeStart and nodeEnd are specified, they have priority over the baseobj, and baseobj is ignored.
  • nodeStart is the segment starting node FHNode object.
  • nodeEnd is the segment ending node FHNode object.
  • width is the segment width. Defaults to EMFHSEGMENT_DEF_SEGWIDTH.
  • height is the segment height. Defaults to EMFHSEGMENT_DEF_SEGHEIGHT.
  • name is the name of the object

Esempio:

import FreeCAD, EM

fhnode1 = EM.makeFHNode(X=1.0,Y=0,Z=0)
fhnode2 = EM.makeFHNode(X=0,Y=1.0,Z=0)

fhsegment = EM.makeFHSegment(nodeStart=fhnode1, nodeEnd=fhnode2)